
Infrastructure - Task #6729

Story # 6723 (Closed): test v2 MN and CN buildouts

Task # 6724 (Closed): refactor d1_integration for v2

refactor architecture tests for v2 client

2015-01-06 18:27 - Rob Nahf

Status: Closed Start date: 2015-01-06

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Associated revisions

Revision 15748 - 2015-06-08 19:58 - Rob Nahf

fixes #6729.  Refactored D1Object out of architecture tests, and exclude D1Node methods from testing. Also pointed ArchitectureUtils to the trunk

version of the MethodCrossReference.xls file.

Revision 15748 - 2015-06-08 19:58 - Rob Nahf

fixes #6729.  Refactored D1Object out of architecture tests, and exclude D1Node methods from testing. Also pointed ArchitectureUtils to the trunk

version of the MethodCrossReference.xls file.

Revision 15780 - 2015-06-13 07:15 - Rob Nahf

refs #6729.  Added v1 architecture tests (to test the new v1 api implementations)

Revision 15780 - 2015-06-13 07:15 - Rob Nahf

refs #6729.  Added v1 architecture tests (to test the new v1 api implementations)

History

#1 - 2015-05-28 20:27 - Rob Nahf

the code is in d1_integration/src/test/java/ org.dataone.client

The tricky part is in instantiating the v2 client instances and doing the reflection on their methods.

I believe the link to the published v1 spreadsheet is already committed, so testing both v1 and v2 is still possible.

#2 - 2015-06-08 20:03 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Refatored architecture API tests to take into account new MNode and CNode class structures.  Mostly having to do with removing D1Node methods,

and creating a SystemMetadata object manually, instead of using D1Object, which relies on a CN being present..
